/**
 * Configuració de la connexio a la BBDD feta amb Mongoose
 * 
 * const { dbConnection } = require('../database/config');
 * await dbConnection();
 * 
 */

const mongoose = require("mongoose");

const dbConnection = async () => {
    try {
        await mongoose.connect(process.env.MONGODB_URI);
        console.log("Base de dades online");
    } catch (error) {
        console.log(error);
        throw new Error("Error a l'hora d'iniciar la base de dades");
    }
};

module.exports = { 
    dbConnection,
};
