const mongoose = require("mongoose");

const { Schema } = mongoose;

//Schema que gestiona els comptes
const Log_serverSchema = new Schema({
    date: {
        type: Date,
        default: Date.now,
    },
    type: { type: String, default: "log_server" },
    source: { type: String, default: "node_servers" },
    message: { type: String, default: "empty" },
});
const Log_server = mongoose.model("Log_server", Log_serverSchema);

//Funció que grava el log del servidor a la Base de dades
const enviarLog = ({ type, source, data: message }) => {
    const log_server = new Log_server({
        type,
        source,
        message,
    });
    log_server.save();
};

module.exports = {
    Log_server:
        mongoose.models.Log_server ||
        mongoose.model("Log_server", Log_serverSchema),
    enviarLog,
};
