const mongoose = require("mongoose");

const { Schema } = mongoose;

const ObjectId = mongoose.Types.ObjectId;

//Schema que gestiona els objectes
const ObjectSchema = new Schema({
    idEntity: {
        type: ObjectId,
        ref: "Entity",
    },
    IMEI: {
        type: String,
        index: true,
        unique: true,
        required: true,
        trim: true,
    },
    name: { type: String, default: "" },
    marca: { type: String, default: "" },
    model: { type: String, default: "" },
    VIN: { type: String, default: "" },
    plateNumber: { type: String, default: "" },
    group: { type: String, default: "" },
    icon: { type: String, default: "" },
    GPSdevice: { type: String, default: "" },
    visible: { type: Boolean, default: true },
    active: { type: Boolean, default: true },
    apitoken: {
        type: String,
        default: Math.random().toString(36).substr(2, 10).toUpperCase(),
    },
    created: {
        type: Date,
        default: Date.now,
    },
});


module.exports = {
    Object: mongoose.models.Object || mongoose.model("Object", ObjectSchema)

};



